Bug 13770 - Transition from 3.2 to 3.3 projects
Transition from 3.2 to 3.3 projects
Status: CLOSED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
3.x
PC Windows 3.1/NT
: P1 (vote)
: 3.x
Assigned To: Vitezslav Stejskal
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-20 12:18 UTC by Pavel Buzek
Modified: 2003-07-02 08:56 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Buzek 2001-07-20 12:18:14 UTC
Provide a smooth transition from 3.2 to 3.3. Probably combination of Import project wizard + support for creating projects from DOs in filesystems (for 
users who did not use projects in 3.2).

> Importing previous settings. I know that we have an import project wizard. 
> This is great for people who use Projects. It doesn't address
> those who do not and what will happen when all of the mounted 
> filesystems they are looking for disappear. We need to have a nice way
> to explain that to them, nudge them towards Projects, and keep it so
> their classpath and development settings continue to function when they
> try to compile their code.
Comment 1 Vitezslav Stejskal 2001-08-03 12:28:51 UTC
User should be able to open 3.2 project, she will be asked to permit conversion of project into the 3.3. 
When permitted 3.2 project will be converted to 3.3. This will work either when user opens 3.2 project 
from her user.dir or when she imports 3.2 project from another loaction, both actions will be accessible 
from Project Manager.

(see details on http://ui.netbeans.org/docs/hi/projects3.3/index.html)
Comment 2 Vitezslav Stejskal 2001-10-12 11:50:16 UTC
Done. The 3.2/3.1 projects are openable in the 3.3 IDE, they are automatically 
converted to 3.3 format. Original copy of imported project stays untouched when using 
Project Manager | Import. Keeping the original copy of userdir will be solved at the 
level of Import Settings Wizard (see nbdev thread 
http://www.netbeans.org/servlets/ReadMsg?msgId=164315&listName=nbdev ).
Comment 3 Milan Kubec 2002-01-25 11:37:11 UTC
Verified.
Comment 4 Pavel Buzek 2003-07-02 08:56:52 UTC
closing


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo